"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const srcPath = path_1.default.join(__dirname, '../template');
const destPath = process.cwd();
fs_extra_1.default.copy(srcPath, destPath, (err) => {
    if (err) {
        console.error(`* 创建失败，错误原因 - ${JSON.stringify(err)}\n`);
        process.exit(0);
    }
    // .gitignore在发布时会被忽略，故命名为_gitignore，在copy完成后，重命名
    const gitignoreFile = path_1.default.join(destPath, '_gitignore');
    fs_1.default.rename(gitignoreFile, path_1.default.join(destPath, '.gitignore'), (err) => {
        if (err) {
            console.log('* _gitignore文件重命名失败，请手动执行\n');
        }
    });
    console.log('* 项目新建成功，请按照README的说明进行开发');
    process.exit();
});
