const path = require('path');
const fs = require('fs-extra');
const ora = require('ora');
const copyNodeModules = require('copy-node-modules');
const miniConfig = require('../mini.project');

function copy(src, target) {
  return new Promise((resolve, reject) => {
    copyNodeModules(src, target, { devDependencies: false }, (err) => {
      if (err) {
        reject(err);
        return;
      }
      resolve()
    });
  })
}

const spinner = ora('copy start').start();
const src = path.join(__dirname, '..');
const miniprogramRoot = path.join(__dirname, '..', miniConfig.miniprogramRoot);
const pluginRoot = path.join(__dirname, '..', miniConfig.pluginRoot);

(async () => {
  await Promise.all([fs.remove(miniprogramRoot), fs.remove(pluginRoot)]);
  await copy(src, miniprogramRoot);
  await copy(src, pluginRoot);
  spinner.succeed('install success');
  spinner.stop();
})()
